Error When Configuring SSRS Database

When trying to configure the SQL Server Reporting Services (SSRS) Database Setup from the Reporting Service Configuration Manager you may receive the following error:

The database version (C.0.8.40) does not match your reporting services installation. You must upgrade your reporting services database.

Couldn’t generate the upgrade script. There is no upgrade script available for this version.

Resolution:
This error occurs when the database version does not match the version of the SSRS installation. This error will occur when you install the SQL Server you components in following order.

  1. Install SQL Server 2005 Database Services.
  2. Install SQL Server 2005 Service Pack 2.
  3. Install SQL Server Reporting Services.

Because of this, SQL Server Report Services and Database Services versions are mismatching. Therefore, you need to install SQL Server Service Pack 2 again so that both versions are equal.




Related Articles :

  • No Related Articles Found

No comments yet... Be the first to leave a reply!

Software Reviews | Book Reviews | FAQs | Tips | Articles | Performance Tuning | Audit | BI | Clustering | Developer | Reporting | DBA | ASP.NET Ado | Views tips | | Developer FAQs | Replication Tips | OS Tips | Misc Tips | Index Tuning Tips | Hints Tips | High Availability Tips | Hardware Tips | ETL Tips | Components Tips | Configuration Tips | App Dev Tips | OLAP Tips | Admin Tips | Software Reviews | Error | Clustering FAQs | Performance Tuning FAQs | DBA FAQs |